using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
class Program
{
    static void Main(string[] args)
    {
        string br = Console.ReadLine();
        int l = br.Length;
        int pr = 0;
        string bk = br;
        for(int i = 0; i < l; i++)
        {
            for(int j = i+1; j < l; j++)
            {
                if(int.Parse(br[i].ToString())== int.Parse(br[j].ToString()))
                {
                    

                    for (int k = i + 1; k < j; k++)
                    {
                        if (int.Parse(br[k].ToString()) != int.Parse(br[j].ToString()))
                        {
                            pr++;
                            char[] G = br.ToCharArray();
                            G[k] = G[j];
                            br = new string(G);
                        }
                    }
                }
            }
        }
        Console.WriteLine(pr);
    }
}